Subject: Re: [RFC] Git User's Survey 2007

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 29 Jul 2007 23:35:43 -0400

Jakub Narebski <[email-masked]> wrote:
> Paolo Ciarrocchi wrote:
> > git-gui ?
> > 
> >>     9. Which git GUI do you use
> >>        (zero or more: multiple choice)
> >>     -  gitk, git-gui, qgit, gitview, giggle, other
>           tig, instaweb, (h)gct, qct, KGit
> 
> I consider git-gui an UI (like qgit or tig), not a porcelain. To be
> a porcelains tool need to add some SCM functionality not present in
> git-core.

Odd.  I consider git-gui to be a porcelain, just as I consider
tig and qgit to also be porcelain.  Though I think git-gui is more
of a porcelain than the others, as it tries to rely *less* on the
core porcelain and just on the plumbing.  I don't always succeed,
but I'm heading in that direction.

To me a porcelain is any tool that layers over the plumbing and makes
it easier for the end-user to operate it.  Early git only had things
like read-tree/write-tree/commit-tree.  Tying that all up into a neat
"Commit" command for the end-user is the job of porcelain.

Anyway.  Just so long as git-gui is included in the survey.  I'm
interested in seeing how many people use it, because I know it has
a pretty decently sized userbase.  Which is probably going to grow
in the future with the i18n work going on.

Do we have any questions in the survey about the user's native
language?  About their desire to have git translated into their
native language?  Folks are now working on translating git-gui,
and that work will be in git-gui 0.9.x, if not 0.8.1/2.  So it may
be nice to know what languages our users are interested in.

-- 
Shawn.